PsychoPy 1.83.04 update for 2016/17

PsychoPy has been updated and fixed to version 1.83.04 for the 2016/17 academic year.  Unfortunately the latest available release currently (1.84.00) was not ready before the upgrade window.   EPrime is staying fixed on, as no further updates were available.

This version will now be frozen until 2017/18, unless there are any major bug fix releases to push out (which will be communicated in advance).

Experiments should automatically update when you open them in their respective builder package, but opening the experiment files in the older version of that package will likely have undesired results or not work at all (especially in the case of EPrime).

Anyone on an unmanaged PC or Apple Mac will need to have the new versions manually updated/installed by us. If this affects you, please let us know. If you also spot an older version running of either package on a laptop/PC that we have missed, please let us know also.

Movie playing issues

For your own personal installations, some users may experience “pyo” related library issues.   To rectify this, we recommend changing the audio library settings in preferences (File -> Preferences), as highlighted below:


Ensure the text is as follows:


This issue has been resolved on all builds within the University.


Links and details

For more details of what the update itself contains – please refer to

For sample scripts and help, please refer to our scripts page and workshop slides here:

Leave a Reply